ptouch-driver (1.6-1) experimental; urgency=medium

  * New 1.6 upstream release
  * Packaging cleanup:
    - Refresh d/copyright
    - wrap-and-sort -baskt
    - Bump S-V to 4.5.1 without changes needed
    - Drop outdated source lintian-overrides
    - Add lintian overrides for executables in cups paths
    - Set R³ to no
  * Set hardening to +all

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Apr 2021 19:28:04 +0200

ptouch-driver (1.5.1-2) unstable; urgency=medium

  * Drop unneeded cups/ppd.h patch
  * Refresh d/copyright
  * Cleanup d/control from pre-oldstable B-D and Breaks/Replaces
    constraints

 -- Didier Raboud <odyx@debian.org>  Wed, 27 May 2020 21:44:13 +0200

ptouch-driver (1.5.1-1) unstable; urgency=medium

  * New 1.5.1 upstream version

  * Refresh packaging:
    - Convert to git debrebase workflow
    - Refresh "include cups/pdd.h" patch
    - Cherry-pick "Get rid of PageSize rounding" patch from Andreas
      Gruenbacher as foomatic-db-engine had the "no-rounding" patch;
      bump foomatic-db-engine B-D version accordingly
    - Bump debhelper from old 9 to 13; set debhelper-compat version in
      Build-Depends
    - Set upstream metadata fields
    - Move source package lintian overrides to debian/source
    - Drop unnecessary dependency on dh-autoreconf
    - Drop unnecessary dh arguments: --parallel
    - Fix day-of-week for changelog entry 1.3-0ubuntu7
  * Update upstream repository references to point to github
  * Add libxml-libxml-perl B-D as upstream needs it now
  * Bump S-V to 4.5.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 27 May 2020 19:15:00 +0200

ptouch-driver (1.4.2-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 16:51:39 +0100

ptouch-driver (1.4.2-2) unstable; urgency=medium

  * Initialize git-dpm
  * Add patch to add 'include <cups/ppd.h>' as CUPS 2.2 moved some definitions
    to ppd.h, to fix FTBFS

 -- Didier Raboud <odyx@debian.org>  Sat, 24 Sep 2016 19:05:20 +0200

ptouch-driver (1.4.2-1) unstable; urgency=medium

  * New 1.4.2 upstream release (LP: #1607917)
    - Fix RLE internal errors
    - Fix behaviour of Cut After Job option
  * Bump S-V to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 01 Aug 2016 10:52:23 +0200

ptouch-driver (1.4.1-1) unstable; urgency=medium

  * New 1.4.1 upstream release, functionally equivalent to the previously
    uploaded snapshot

 -- Didier Raboud <odyx@debian.org>  Sat, 23 Jul 2016 09:29:21 +0200

ptouch-driver (1.4-5-gf4ad445-1) unstable; urgency=medium

  * New upstream snapshot
    - Add support for Brother QL-570 (LP: #1604036)

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Jul 2016 07:38:59 +0200

ptouch-driver (1.4-1) unstable; urgency=medium

  * New 1.4 upstream release, functionally equivalent to the previously
    uploaded snapshot

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Feb 2016 08:35:24 +0100

ptouch-driver (1.3+20150410-hg15aad40+cleanup0-1) unstable; urgency=low

  * Snapshot from the new upstream take-over repository, by Philip Pemberton
   - Fix the "ESC i A" (enable cutter) command patch to correctly send only on
     printers which support it (LP: #1342979)
  * Drop all patches, included upstream
  * Drop the transitional ptouch-driver package
  * Bump to Standards-Version 3.9.6 without changes needed
  * Bump debhelper B-D to 9
  * Refresh debian/copyright
  * Update homepage to point to the new upstream's
  * Add gbp.conf
  * Drop debian/watch for now

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Sep 2015 09:46:47 +0200

ptouch-driver (1.3-8) unstable; urgency=medium

  [ Philip Pemberton ]
  * Rewrite the patch to send the 'ESC i A' command to only let rastertoptch
    send it to printers that do support it (Closes: #740789, LP: #1287971)

  [ Didier Raboud ]
  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 16:23:54 +0100

ptouch-driver (1.3-7) unstable; urgency=low

  * Rebuild against pyppd >= 1.0.1

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Sep 2013 21:32:52 +0200

ptouch-driver (1.3-6) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Sun, 19 May 2013 14:45:20 +0200

ptouch-driver (1.3-5) experimental; urgency=low

  [ Till Kamppeter ]
  * Removed unneeded build dependency on foomatic-db.

  [ Didier Raboud ]
  * Bump Standards-Version to 3.9.4 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Sep 2012 14:34:28 +0200

ptouch-driver (1.3-4) unstable; urgency=low

  [ Till Kamppeter ]
  * Don't install the cups filter in multiarch directories.
    (Closes: #681495, LP: #990638)

 -- Didier Raboud <odyx@debian.org>  Sat, 14 Jul 2012 02:33:13 +0200

ptouch-driver (1.3-3) unstable; urgency=low

  * Update the PPD-updater regexp to cope with latest changes in dh_pyppd;
    also bump build-depends.
  * Only build PPD files when needed.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Oct 2011 21:27:55 +0200

ptouch-driver (1.3-2) unstable; urgency=low

  * Refactoring, action 1:
    - rename ptouch-driver to printer-driver-ptouch, add transitional package
      and slightly rewrite description.

  * Bump debhelper compat for auto- buildflags.
  * Fix typo in debian/copyright.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Oct 2011 11:26:23 +0200

ptouch-driver (1.3-1) unstable; urgency=low

  * Initial Debian release (Closes: #555892).

  * Start from the Ubuntu packaging, thanks!

  * Put under Debian Printing Team umbrella, with myself as uploader.
  * Convert to 3.0 (quilt) source format.
  * Add the Ubuntu apport hook conditionally
  * Add VCS-* fields.
  * Use dh-autoreconf to have a cleaner build.
  * debian/watch: add.
  * Use dh_pyppd trough the --with stanza.
  * Drop explicit pyppd depends, they come trough dh_pyppd.
  * Add DEP-3 headers to all patches.
  * Rewrite debian/copyright DEP-5-style.
  * Enable parallel building, including specifying the number of threads for
    the foomatic compilation.
  * Drop unneeded dh_auto_test override.
  * Slightly rewrite the "long" description.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Aug 2011 12:27:35 +0200

ptouch-driver (1.3-0ubuntu11) oneiric; urgency=low

  * debian/control: Versioned build dependency on foomatic-db to assure that
    the Ubuntu build server installs the physical package foomatic-db and
    not foomatic-db-compressed-ppds which only provides foomatic-db
    (LP: #829446).
  * debian/rules, debian/control: Compress PPD files with pyppd.
  * debian/rules, debian/control, debian/postinst,
    debian/ptouch-driver.ppd-updater: Let automatic update of the PPDs of
    already existing print queues be done by CUPS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 20 Aug 2011 00:37:23 +0200

ptouch-driver (1.3-0ubuntu10) oneiric; urgency=low

  * debian/control: Changed build dependency on foomatic-db-xml back to
    foomatic-db and added "Build-Conflicts: foomatic-db-compressed-ppds"
    instead to assure that the Foomatic XML database is present during
    package build and not only the compressed archive of the Foomatic PPD
    files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  1 Aug 2011 19:07:23 +0200

ptouch-driver (1.3-0ubuntu9) oneiric; urgency=low

  * debian/control: Changed build dependency on foomatic-db to foomatic-db-xml
    to assure that the Foomatic XML database is present and not only the
    compressed archive of the Foomatic PPD files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 28 Jul 2011 19:28:03 +0200

ptouch-driver (1.3-0ubuntu8) oneiric; urgency=low

  * debian/patches/foomatic-data-fixes.patch: Added "-dNOINTERPOLATE" to the
    Ghostscript command line. This makes the page rendering by Ghostscript
    significantly faster.

  * debian/rules, debian/control, debian/local/pyppd/: Use pyppd from
    external package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 24 Jul 2011 22:34:03 +0200

ptouch-driver (1.3-0ubuntu7) maverick; urgency=low

  * debian/local/pyppd/pyppd/: Updated to pyppd 0.4.9. Here we do not suppress
    all runtime errors but only IOError and KeyboardInterrupt. This way we do
    not suppress errors which are caused by an actual bug (LP: #618017).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Sep 2010 16:07:03 +0200

ptouch-driver (1.3-0ubuntu6) maverick; urgency=low

  * debian/local/pyppd/pyppd/pyppd-ppdfile.in: Suppress any kind of runtime
    error tracebacks by putting a "try: ... except: pass" construct around the
    main function call. This avoids Apport pop-ups when the execution of the
    self-extracting compressed PPD file archives gets stopped by the calling
    process (LP: #618017).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 21 Sep 2010 20:35:03 +0200

ptouch-driver (1.3-0ubuntu5) maverick; urgency=low

  * debian/patches/send-esc-i-A.patch: The code "ESC i A \001" needs to be sent
    to the printer so that cutting happens. Thanks to Matthias Urlichs for the
    patch (LP: #635249).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Sep 2010 10:00:00 +0200

ptouch-driver (1.3-0ubuntu4) maverick; urgency=low

  * debian/control: Added build and runtime dependencies for the compressed
    PPD archive.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  3 Sep 2010 20:25:53 +0200

ptouch-driver (1.3-0ubuntu3) maverick; urgency=low

  * debian/rules: Make bin/pyppd executable before calling it and create the
    empty file pyppd/__init__.py. These properties are not conveyed by the
    .diff.gz file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  3 Sep 2010 17:14:53 +0200

ptouch-driver (1.3-0ubuntu2) maverick; urgency=low

  * debian/control, debian/rules, debian/postinst: Provided the PPD files
    pre-built in a compressed archive instead of providing Foomatic XML data,
    to make the package not depending on foomatic-db. This way we can replace
    foomatic-db by a compressed PPD archive.
  * debian/local/pyppd/: Added pyppd scripts to generate compressed PPD
    archives.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 31 Aug 2010 22:35:53 +0200

ptouch-driver (1.3-0ubuntu1) lucid; urgency=low

  [ Till Kamppeter ]
  * debian/postinst: Added automatic update of PPD files of already existing
    print queues when the package is updated.
  * debian/rules: Removed the Foomatic printer XML files, they are already
    contained in foomatic-db.
  * debian/rules: Suppress running dh_auto_test, it runs often before the
    Makefile is created (dh bug?).
  * debian/rules, debian/control: Added support for patches.
  * debian/control: Set section to "text".
  * debian/local/apport-hook.py, debian/rules: Added Apport hook.
  * debian/patches/foomatic-data-fixes.patch: Moved the Foomatic data fixes
    into a proper patch.

  [ Lars Wirzenius ]
  * Initial packaging.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 11 Nov 2009 17:14:44 +0200
